ru.bitel.bgbilling.kernel.script.common.bean

## Class EventType

- java.lang.Object
- - ru.bitel.common.model.Id
  - - ru.bitel.common.model.IdTitle
    - - ru.bitel.bgbilling.kernel.script.common.bean.EventType

- All Implemented Interfaces:
    java.io.Serializable, Idable, ListItem

      public class EventType
      extends IdTitle

  Тип события (например, приход платежа).
  Author:
    pechenie
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.common.model.IdTitle

      `title`

    - ### Fields inherited from class ru.bitel.common.model.Id

      `id`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EventType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `java.lang.String` | `getEventId()`
    `java.lang.String` | `getModuleId()`
    `void` | `setEventId(java.lang.String eventId)`
    `void` | `setModuleId(java.lang.String moduleId)`
    `void` | `setTitle(java.lang.String title)` Устанавливает название (описание) объекта
    `java.lang.String` | `toKey()` Получение так называемого "ключа" события - его уникального идентификатора.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class ru.bitel.common.model.IdTitle

      `getTitle`

    - ### Methods inherited from class ru.bitel.common.model.Id

      `getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface ru.bitel.common.model.ListItem

      `getId`

- - ### Constructor Detail

    - #### EventType

          public EventType()

  - ### Method Detail

    - #### getModuleId

          public java.lang.String getModuleId()

    - #### getEventId

          public java.lang.String getEventId()

    - #### setTitle

          public void setTitle(java.lang.String title)

      Description copied from class: `IdTitle`
      Устанавливает название (описание) объекта
      Overrides:
        `setTitle` in class `IdTitle`

    - #### setModuleId

          public void setModuleId(java.lang.String moduleId)

    - #### setEventId

          public void setEventId(java.lang.String eventId)

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `Id`

    - #### toKey

          public java.lang.String toKey()

      Получение так называемого "ключа" события - его уникального идентификатора.
      Returns:
        ключ события

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `IdTitle`